summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD27
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..43ca9f8fa21
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = emacs-hexrgb
+ pkgdesc = Bookmark+ mode, which enhances vanilla Emacs bookmarks in many ways
+ pkgver = 1019
+ pkgrel = 1
+ url = http://www.emacswiki.org/emacs/BookmarkPlus
+ arch = any
+ license = GPL3
+ makedepends = awk
+ depends = emacs
+ source = http://www.emacswiki.org/emacs/download/hexrgb.el
+ md5sums = 0381aa8c611099ee533cf014b0459bc9
+
+pkgname = emacs-hexrgb
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a3fb382df81
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Stefan Husmann <stefan-husmann@t-online.de>
+
+pkgname=emacs-hexrgb
+pkgver=1019
+pkgrel=1
+pkgdesc="Bookmark+ mode, which enhances vanilla Emacs bookmarks in many ways"
+url="http://www.emacswiki.org/emacs/BookmarkPlus"
+license=('GPL3')
+arch=('any')
+depends=('emacs')
+makedepends=('awk')
+source=("http://www.emacswiki.org/emacs/download/hexrgb.el")
+md5sums=('0381aa8c611099ee533cf014b0459bc9')
+
+pkgver() {
+ cd $srcdir
+ awk '/Update #:/ {print $4}' hexrgb.el
+}
+
+build() {
+ emacs -Q -batch -L . -f batch-byte-compile hexrgb.el || true
+}
+
+package() {
+ cd "${srcdir}"
+ install -Dm644 hexrgb.el{,c} -t "${pkgdir}"/usr/share/emacs/site-lisp/
+}